<?php

namespace Drupal\browser_development\Processing;

/**
 * Once SCSS has been compiled SavingCssToDisk writes compressed CSS to disk.
 *
 * @package Drupal\browser_development\Processing
 */
class SavingCssToDisk extends FileSystemStructure {

  /**
   * Data to be saved to disk.
   *
   * @var string
   *   Adds data for CSS deployment.
   */
  protected $data;

  /**
   * Default constructor.
   *
   * @param mixed $data
   *   Customers CSS styles.
   */
  public function __construct($data = "{default}") {
    parent::__construct();
    $this->data = $data;
    $this->writeToDisk();
  }

  /**
   * Writing CSS to file.
   */
  protected function writeToDisk() {
    $this->data = print_r($this->data, 1);
    $file = $this->globalFilePathArray['css_name'];
    $directory = $this->globalFilePathArray['css_directory'];
    $path = $this->absolutePath . DIRECTORY_SEPARATOR . $directory . DIRECTORY_SEPARATOR . $file;
    $fileOpen = fopen($path, "wb");
    fwrite($fileOpen, $this->data);
    fclose($fileOpen);
    \Drupal::service('cache.render')->invalidateAll();
  }

}
